package cn.com.poc.long_document.domain.keyword;

import java.util.List;

/**
 * @author alex.yao
 * @date 2025/9/4
 */
public class KeyWord {

    /**
     * 关键词云图 [10个以内]
     */
    private List<String> keyWord;

    /**
     * 关键词提及频率 [10个以内]
     */
    private List<MentionFrequency> mentionFrequency;

    /**
     * 相关概念 [10个以内]
     */
    List<String> concepts;

    public List<String> getKeyWord() {
        return keyWord;
    }

    public void setKeyWord(List<String> keyWord) {
        this.keyWord = keyWord;
    }

    public List<MentionFrequency> getMentionFrequency() {
        return mentionFrequency;
    }

    public void setMentionFrequency(List<MentionFrequency> mentionFrequency) {
        this.mentionFrequency = mentionFrequency;
    }

    public List<String> getConcepts() {
        return concepts;
    }

    public void setConcepts(List<String> concepts) {
        this.concepts = concepts;
    }
}
